- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Static Private Member Functions | List of all members
DosWordParser Class Reference

This class parses Microsoft Word for DOS. More...

`#include <DosWord.h>`

Inheritance diagram for DosWordParser:

## Public Member Functions
| DosWordParser (RVNGInputStreamPtr &input, WPSHeaderPtr &header, libwps_tools_win::Font::Type encoding=libwps_tools_win::Font::UNKNOWN)
| ~DosWordParser ()
bool | checkHeader (WPSHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
Public Member Functions inherited from MSWriteParser
| MSWriteParser (RVNGInputStreamPtr &input, WPSHeaderPtr &header, libwps_tools_win::Font::Type encoding=libwps_tools_win::Font::WIN3_WEUROPE)
| ~MSWriteParser ()
void | parse (librevenge::RVNGTextInterface *documentInterface)
Public Member Functions inherited from WPSParser
| WPSParser (RVNGInputStreamPtr &input, WPSHeaderPtr &header)
virtual | ~WPSParser ()

## Private Member Functions
| DosWordParser (const DosWordParser &)
DosWordParser & | operator= (const DosWordParser &)
virtual libwps_tools_win::Font::Type | getFileEncoding (libwps_tools_win::Font::Type hint)
void | readSECT (uint32_t fcSep, uint32_t fcLim)
virtual void | readSED ()
virtual void | readFFNTB ()
virtual void | readCHP (uint32_t fcFirst, uint32_t fcLim, unsigned cch)
virtual void | readPAP (uint32_t fcFirst, uint32_t fcLim, unsigned cch)
virtual void | insertSpecial (uint8_t val, uint32_t fc, MSWriteParserInternal::Paragraph::Location location)
virtual void | insertControl (uint8_t val, uint32_t fc)
virtual void | readSUMD ()
virtual void | readFNTB ()

## Static Private Member Functions
static WPSColor | color (int clr)

## Additional Inherited Members
Public Types inherited from WPSParser
typedef std::multimap< std::string, WPSEntry > | NameMultiMap
| a map to retrieve a file entry by name More...
Protected Member Functions inherited from MSWriteParser
void | readStructures ()
void | readFIB ()
void | readFOD (unsigned page, void(MSWriteParser::*parseFOD)(uint32_t fcFirst, uint32_t fcLim, unsigned size))
void | readText (WPSEntry e, MSWriteParserInternal::Paragraph::Location location)
int | numPages ()
void | processObject (WPSPosition &pos, unsigned long lastPos)
bool | processDDB (librevenge::RVNGBinaryData &bmpdata, WPSPosition &pos, unsigned width, unsigned height, unsigned byte_width, unsigned planes, unsigned bits_pixel, unsigned size)
bool | processDIB (librevenge::RVNGBinaryData &bmpdata, unsigned size)
bool | processWMF (librevenge::RVNGBinaryData &wmfdata, unsigned size)
void | processEmbeddedOLE (WPSPosition &pos, unsigned long lastPos)
bool | processStaticOLE (librevenge::RVNGBinaryData &, std::string &mimetype, WPSPosition &pos, unsigned long lastPos)
bool | readString (std::string &res, unsigned long lastPos)
void | insertNote (bool annotation, uint32_t fcPos, librevenge::RVNGString &label)
unsigned | insertString (const unsigned char *str, unsigned size, libwps_tools_win::Font::Type type)
void | getHeaderFooters (uint32_t first, MSWriteParserInternal::Section &sep, WPSPageSpan &pageSpan)
void | startSection (MSWriteParserInternal::Section &section)
bool | checkFilePosition (uint32_t pos) const
| check if the file position is correct or not More...
Protected Member Functions inherited from WPSParser
RVNGInputStreamPtr & | getInput ()
RVNGInputStreamPtr | getFileInput ()
WPSHeaderPtr & | getHeader ()
int | version () const
void | setVersion (int vers)
libwps::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...
NameMultiMap & | getNameEntryMap ()
NameMultiMap const & | getNameEntryMap () const
Static Protected Member Functions inherited from MSWriteParser
static void | getPageStyle (MSWriteParserInternal::Section &sep, WPSPageSpan &pageSpan)
Protected Attributes inherited from MSWriteParser
uint32_t | m_fileLength
| the last file position More...
uint32_t | m_fcMac
std::vector< MSWriteParserInternal::Paragraph > | m_paragraphList
std::vector< MSWriteParserInternal::Font > | m_fontList
std::vector< MSWriteParserInternal::Footnote > | m_footnotes
std::vector< MSWriteParserInternal::Section > | m_sections
std::vector< librevenge::RVNGString > | m_fonts
libwps_tools_win::Font::Type | m_fontType
shared_ptr< WPSContentListener > | m_listener
librevenge::RVNGPropertyList | m_metaData

## Detailed Description

This class parses Microsoft Word for DOS.

## Constructor & Destructor Documentation

DosWordParser::DosWordParser | ( | RVNGInputStreamPtr & | input,
|  | WPSHeaderPtr & | header,
|  | libwps_tools_win::Font::Type | encoding = `libwps_tools_win::Font::UNKNOWN`
| ) |  |

DosWordParser::~DosWordParser | ( |  | ) |

DosWordParser::DosWordParser | ( | const DosWordParser & |  | ) |
| private

## Member Function Documentation

bool DosWordParser::checkHeader | ( | WPSHeader * | header,
|  | bool | strict = `false`
| ) |  |

checks if the document header is correct (or not)

WPSColor DosWordParser::color | ( | int | clr | ) |
| static private

Referenced by readCHP(), and readPAP().

libwps_tools_win::Font::Type DosWordParser::getFileEncoding | ( | libwps_tools_win::Font::Type | hint | ) |
| private virtual

Reimplemented from MSWriteParser.

void DosWordParser::insertControl | ( | uint8_t | val,
|  | uint32_t | fc
| ) |  |
| private virtual

Reimplemented from MSWriteParser.

void DosWordParser::insertSpecial | ( | uint8_t | val,
|  | uint32_t | fc,
|  | MSWriteParserInternal::Paragraph::Location | location
| ) |  |
| private virtual

Reimplemented from MSWriteParser.

DosWordParser& DosWordParser::operator= | ( | const DosWordParser & |  | ) |
| private

void DosWordParser::readCHP | ( | uint32_t | fcFirst,
|  | uint32_t | fcLim,
|  | unsigned | cch
| ) |  |
| private virtual

Reimplemented from MSWriteParser.

void DosWordParser::readFFNTB | ( |  | ) |
| private virtual

Reimplemented from MSWriteParser.

void DosWordParser::readFNTB | ( |  | ) |
| private virtual

Reimplemented from MSWriteParser.

void DosWordParser::readPAP | ( | uint32_t | fcFirst,
|  | uint32_t | fcLim,
|  | unsigned | cch
| ) |  |
| private virtual

Reimplemented from MSWriteParser.

void DosWordParser::readSECT | ( | uint32_t | fcSep,
|  | uint32_t | fcLim
| ) |  |
| private

Referenced by readSED().

void DosWordParser::readSED | ( |  | ) |
| private virtual

Reimplemented from MSWriteParser.

void DosWordParser::readSUMD | ( |  | ) |
| private virtual

Reimplemented from MSWriteParser.

The documentation for this class was generated from the following files:

- DosWord.h
- DosWord.cpp